2018-10-15 08:42 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004444Kali Linux[All Projects] General Bugpublic2018-09-11 16:49
Reportershredlife 
Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionsuspended 
Product Version2017.3 
Target VersionFixed in Version 
Summary0004444: Ralink RT5572 Wireless Adapter - no wireless access
DescriptionUsing Kali 2017.3 AMD 64 with Virtual Box Version 5.1.30 r118389 (Qt5.6.3) on Mac OS High Sierra 10.13.1 (17B48).

Panda PAU09 Wireless USB Adapter: A few months ago I ran into issues with it being recognized by the VM, it would show up as a device but could not be used to locate or connect to wireless networks. The issue was resolved with Kali 2017.3 , however, it randomly stopped pulling wireless network info a week or two ago.

Had discussed this with others in this thread: https://forums.kali.org/showthread.php?37575-rt2800usb

Additional InformationBus 001 Device 002: ID 148f:5572 Ralink Technology, Corp. RT5572 Wireless Adapter

[ 0.000000] Linux version 4.13.0-kali1-amd64 (devel@kali.org) (gcc version 6.4.0 20171026 (Debian 6.4.0-9)) 0000001 SMP Debian 4.13.10-1kali2 (2017-11-08)

[ 1.842708] usb 1-1: New USB device found, idVendor=148f, idProduct=5572
[ 1.842711] usb 1-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 1.842712] usb 1-1: Product: 802.11 n WLAN
[ 1.842714] usb 1-1: Manufacturer: Ralink
[ 1.842715] usb 1-1: SerialNumber: 1.0


[ 5.480967] usb 1-1: reset high-speed USB device number 2 using ehci-pci
[ 5.620452] Adding 2095100k swap on /dev/sda5. Priority:-1 extents:1 across:2095100k FS]
[ 5.787795] ieee80211 phy0: rt2x00_set_rt: Info - RT chipset 5592, rev 0222 detected
[ 6.200466] snd_intel8x0 0000:00:05.0: white list rate for 1028:0177 is 48000
[ 6.758262] ieee80211 phy0: rt2x00_set_rf: Info - RF chipset 000f detected
[ 6.781454] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
[ 6.783243] usbcore: registered new interface driver rt2800usb
[ 7.301027] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 7.306694] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 7.312115] e1000: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX
[ 7.312529] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[ 7.348924] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 7.348957] ieee80211 phy0: rt2x00lib_request_firmware: Info - Loading firmware file 'rt2870.bin'
[ 7.350977] rt2800usb 1-1:1.0: firmware: direct-loading firmware rt2870.bin
[ 7.350982] ieee80211 phy0: rt2x00lib_request_firmware: Info - Firmware detected - version: 0.36
[ 8.160348] floppy0: no floppy controllers found
[ 8.160416] work still pending
[ 8.960559] fuse init (API version 7.26)
[ 12.829151] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 17.316656] random: crng init done
[ 18.819483] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 18.885556] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 27.756243] rfkill: input handler disabled
Attached Files

-Relationships
+Relationships

-Notes

~0007748

shredlife (reporter)

After posting this, went back in and noticed a handful of wireless networks now show up.

However trying to connect to any comes up with the error: "Activiation of network connection failed"

~0007749

shredlife (reporter)

wlan0 IEEE 802.11 ESSID:off/any
          Mode:Managed Access Point: Not-Associated Tx-Power=20 dBm
          Retry short long limit:2 RTS thr:off Fragment thr:off
          Encryption key:off
          Power Management:off

~0007766

shredlife (reporter)

Just some more tinkering while attempting to disconnect / reconnect to the adapter:

 1050.625271] usb 1-1: USB disconnect, device number 2
[ 1053.174070] usb 1-1: new high-speed USB device number 3 using ehci-pci
[ 1053.341238] usb 1-1: New USB device found, idVendor=148f, idProduct=5572
[ 1053.341241] usb 1-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 1053.341243] usb 1-1: Product: 802.11 n WLAN
[ 1053.341245] usb 1-1: Manufacturer: Ralink
[ 1053.341246] usb 1-1: SerialNumber: 1.0
[ 1053.486172] usb 1-1: reset high-speed USB device number 3 using ehci-pci
[ 1053.646468] ieee80211 phy1: rt2x00_set_rt: Info - RT chipset 5592, rev 0222 detected
[ 1054.261755] ieee80211 phy1: rt2x00_set_rf: Info - RF chipset 000f detected
[ 1054.271255] ieee80211 phy1: Selected rate control algorithm 'minstrel_ht'
[ 1054.349177] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 1054.349212] ieee80211 phy1: rt2x00lib_request_firmware: Info - Loading firmware file 'rt2870.bin'
[ 1054.349242] rt2800usb 1-1:1.0: firmware: direct-loading firmware rt2870.bin
[ 1054.349244] ieee80211 phy1: rt2x00lib_request_firmware: Info - Firmware detected - version: 0.36
[ 1059.683339] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready

~0007775

shredlife (reporter)

Note: Getting same issues on Alfa asuso36nh wireless adapter. Something must be up with my computer using Virtual Box on Mac High sierra as the same error appears:

IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready.

~0009663

g0tmi1k (administrator)

Due to the age of the OS (Kali Moto [v1], Kali Safi [v2], Kali Rolling 2016.x/2017.x), these legacy versions are no longer supported.
We will be closing this ticket due to inactivity.

Please could you see if you are able to replicate this issue with the latest version of Kali Linux - https://www.kali.org/downloads/)?

If you are still facing the same problem, feel free to re-open the ticket. If you choose to do this, could you provide more information to the issue you are facing,and also give information about your setup?
For more information, please read: https://kali.training/topic/filing-a-good-bug-report/
+Notes

-Issue History
Date Modified Username Field Change
2017-12-26 17:25 shredlife New Issue
2017-12-26 17:30 shredlife Note Added: 0007748
2017-12-26 17:31 shredlife Note Added: 0007749
2018-01-01 18:27 shredlife Note Added: 0007766
2018-01-06 01:36 shredlife Note Added: 0007775
2018-09-11 16:49 g0tmi1k Status new => closed
2018-09-11 16:49 g0tmi1k Resolution open => suspended
2018-09-11 16:49 g0tmi1k Note Added: 0009663
+Issue History